org.apache.lucene.benchmark.byTask.feeds

## Class DirContentSource.Iterator

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.DirContentSource.Iterator

All Implemented Interfaces:
  Iterator<File>

Enclosing class:
  DirContentSource

    public static class DirContentSource.Iterator
    extends Object
    implements Iterator<File>

Iterator over the files in the directory

### Constructor Summary

Constructors
Constructor and Description
`DirContentSource.Iterator(File f)`

### Method Summary

Methods
`int` `getCount()`
`boolean` `hasNext()`
`File` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirContentSource.Iterator

    public DirContentSource.Iterator(File f)

### Method Detail

#### getCount

    public int getCount()

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<File>`

#### next

    public File next()

Specified by:
  `next` in interface `Iterator<File>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<File>`